import java.applet.Applet;
import java.awt.*;
import simplestocks.*;

//
//
// MyApplet
//
//
public class StockMarketApplet extends Applet
{
	IStockMarket market = null;

	public void paint( Graphics g ) 
	{
		try
		{
			g.setColor( java.awt.Color.black );
			g.drawString("The stock price of MY COMPANY is " + market.get_price("MY_COMPANY"), 40, 40);
		}
		catch (com.ms.com.ComFailException e)
		{
			System.out.println( "COM Exception:" );
			System.out.println( e.getHResult() );
			System.out.println( e.getMessage() );
		}
	}

	public void init() 
	{
		try
		{
			market = (IStockMarket)new simplestocks.StockMarket();
		}
		catch (com.ms.com.ComFailException e)
		{
			System.out.println( "COM Exception:" );
			System.out.println( e.getHResult() );
			System.out.println( e.getMessage() );
		}
	}
}

